## com.rbnb.api
Class Time

    java.lang.Object
      com.rbnb.api.Time

    public final class Time

extends Object

Time handling class for RBNB applications.

This class contains methods for manipulating time information within the RBNB framework. These are helper methods for users of the RBNB API and for implementors of the DataTurbine.

Since:
  V2.0
Author:
  Ian Brown
Version:
  07/21/2004

Constructor Summary
`Time()`

Method Summary
`static double` `fromFormattedString(String timeStringI)` Converts the input string to a RBNB time (double).
`static double` `now()` Gets an RBNB time value (double) representing the current time.
`static String` `since1970(double timeI)` Converts the input RBNB time value (double) to a string based on the fact that the input represents a number of seconds since January 1st, 1970.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Time

    public Time()

Method Detail

### now

    public static final double now()

  Gets an RBNB time value (double) representing the current time.

  Returns:
    the current time of day.
  Since:
    V2.0
  Author:
    Ian Brown
  Version:
    11/06/2002

### since1970

    public static final String since1970(double timeI)

  Converts the input RBNB time value (double) to a string based on the fact that the input represents a number of seconds since January 1st, 1970.

  The output is a string of the form:

  DD-MMM-YYYY TMZ HH:MM:SS.sss

  This method assumes that it should use the system's idea of time zone. The input value is assumed to be in UTC.

  Parameters:
    `timeI` - the time.
  Returns:
    the string representation.
  Since:
    V2.0
  Author:
    Ian Brown
  Version:
    05/10/2001

### fromFormattedString

    public static final double fromFormattedString(String timeStringI)
                                            throws Exception

  Converts the input string to a RBNB time (double).

  The input is a string of the form:

  DD-MMM-YYYY TMZ HH:MM:SS.sss

  This method assumes that it should use the system's idea of time zone. The input value is assumed to be in UTC.

  Parameters:
    `timeStringI` - the time string.
  Returns:
    the time as a double
  Throws:
    `Exception`
  Since:
    V2.6
  Author:
    Eric Friets
  Version:
    04/20/2005